Debian Bug report logs - #669483
spl: FTBFS: ld: cannot find -lncurses

version graph

Package: src:spl; Maintainer for src:spl is Gerfried Fuchs <rhonda@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 19 Apr 2012 19:46:25 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version spl/1.0~pre6-3

Fixed in version spl/1.0~pre6-3.1

Done: Jonathan Wiltshire <jmw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerfried Fuchs <rhonda@debian.org>:
Bug#669483; Package src:spl. (Thu, 19 Apr 2012 19:46:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Gerfried Fuchs <rhonda@debian.org>. (Thu, 19 Apr 2012 19:46:29 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: spl: FTBFS: ld: cannot find -lncurses
Date: Thu, 19 Apr 2012 21:23:31 +0200
Source: spl
Version: 1.0~pre6-3
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120419 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> cc -L/«PKGBUILDDIR» -L/usr/lib/mysql -L/usr/local/lib  -rdynamic -pthread -L/usr/lib splrun.o -lspl -ldl -lm -L/usr/lib/x86_64-linux-gnu -lpcre -lreadline -lncurses -o splrun
> /usr/bin/ld: cannot find -lncurses
> collect2: ld returned 1 exit status

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/04/19/spl_1.0~pre6-3_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Gerfried Fuchs <rhonda@debian.org>:
Bug#669483; Package src:spl. (Sat, 12 May 2012 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Gerfried Fuchs <rhonda@debian.org>. (Sat, 12 May 2012 10:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 669483@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 669483@bugs.debian.org
Subject: spl: diff for NMU version 1.0~pre6-3.1
Date: Sat, 12 May 2012 11:36:55 +0100
[Message part 1 (text/plain, inline)]
tags 669483 + patch
tags 669483 + pending
thanks

Dear maintainer,

I've prepared an NMU for spl (versioned as 1.0~pre6-3.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[spl-1.0~pre6-3.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sat, 12 May 2012 10:39:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sat, 12 May 2012 10:39:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerfried Fuchs <rhonda@debian.org>:
Bug#669483; Package src:spl. (Sun, 13 May 2012 10:21:03 GMT) Full text and rfc822 format available.

Message #17 received at 669483@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Jonathan Wiltshire <jmw@debian.org>, 669483@bugs.debian.org
Subject: Re: Bug#669483: spl: diff for NMU version 1.0~pre6-3.1
Date: Sun, 13 May 2012 12:17:48 +0200
(I'm not the maintainer.)

* Jonathan Wiltshire <jmw@debian.org>, 2012-05-12, 11:36:
>+spl (1.0~pre6-3.1) unstable; urgency=low
>+
>+  * Non-maintainer upload.
>+  * Add dependency on libncurses-dev to fix FTBFS (Closes: #669483)
>+
>+ -- Jonathan Wiltshire <jmw@debian.org>  Sat, 12 May 2012 11:01:33 +0100

I don't see any _code_ that would use ncurses:

$ grep -i -r -n -C2 curses .
./GNUmakefile-140-ifeq ($(BUILDING_FOR_BSD),0)
./GNUmakefile-141-  LDLIBS_DL = -ldl
./GNUmakefile:142:  LDLIBS_CURSES = -lncurses
./GNUmakefile-143-else
./GNUmakefile-144-  LDLIBS_DL =
./GNUmakefile:145:  LDLIBS_CURSES = -lcurses
./GNUmakefile-146-  CFLAGS += -DUSEBSDAPI=1
./GNUmakefile-147-endif
--
./GNUmakefile-185-ifeq ($(ENABLE_READLINE_SUPPORT),1)
./GNUmakefile-186-  CFLAGS += -DENABLE_READLINE_SUPPORT
./GNUmakefile:187:  LDLIBS += -lreadline $(LDLIBS_CURSES)
./GNUmakefile:188:  DLL_LIBS += -lreadline $(LDLIBS_CURSES)
./GNUmakefile-189-endif
./GNUmakefile-190-

Also, I see this in the build log:

dpkg-shlibdeps: warning: package could avoid a useless dependency if /build/spl-zVoNlL/spl-1.0~pre6/debian/spl-core/usr/bin/splrun was not linked against libncurses.so.5 (it uses none of the library's symbols).
dpkg-shlibdeps: warning: package could avoid a useless dependency if /build/spl-zVoNlL/spl-1.0~pre6/debian/spl-webspl/usr/bin/webspld /build/spl-zVoNlL/spl-1.0~pre6/debian/spl-webspl/usr/lib/cgi-bin/webspl.cgi were not linked against libncurses.so.5 (they use none of the library's symbols).

So likely a better way to fix this bug is to stop linking against 
ncurses.

-- 
Jakub Wilk




Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Mon, 14 May 2012 11:10:09 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 14 May 2012 11:10:14 GMT) Full text and rfc822 format available.

Message #22 received at 669483-close@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 669483-close@bugs.debian.org
Subject: Bug#669483: fixed in spl 1.0~pre6-3.1
Date: Mon, 14 May 2012 11:06:36 +0000
Source: spl
Source-Version: 1.0~pre6-3.1

We believe that the bug you reported is fixed in the latest version of
spl, which is due to be installed in the Debian FTP archive:

spl-core_1.0~pre6-3.1_amd64.deb
  to main/s/spl/spl-core_1.0~pre6-3.1_amd64.deb
spl-curl_1.0~pre6-3.1_amd64.deb
  to main/s/spl/spl-curl_1.0~pre6-3.1_amd64.deb
spl-dev_1.0~pre6-3.1_amd64.deb
  to main/s/spl/spl-dev_1.0~pre6-3.1_amd64.deb
spl-mysql_1.0~pre6-3.1_amd64.deb
  to main/s/spl/spl-mysql_1.0~pre6-3.1_amd64.deb
spl-postgres_1.0~pre6-3.1_amd64.deb
  to main/s/spl/spl-postgres_1.0~pre6-3.1_amd64.deb
spl-sdl_1.0~pre6-3.1_amd64.deb
  to main/s/spl/spl-sdl_1.0~pre6-3.1_amd64.deb
spl-sqlite_1.0~pre6-3.1_amd64.deb
  to main/s/spl/spl-sqlite_1.0~pre6-3.1_amd64.deb
spl-webspl_1.0~pre6-3.1_amd64.deb
  to main/s/spl/spl-webspl_1.0~pre6-3.1_amd64.deb
spl-xml_1.0~pre6-3.1_amd64.deb
  to main/s/spl/spl-xml_1.0~pre6-3.1_amd64.deb
spl_1.0~pre6-3.1.diff.gz
  to main/s/spl/spl_1.0~pre6-3.1.diff.gz
spl_1.0~pre6-3.1.dsc
  to main/s/spl/spl_1.0~pre6-3.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669483@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Wiltshire <jmw@debian.org> (supplier of updated spl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 12 May 2012 11:01:33 +0100
Source: spl
Binary: spl-core spl-postgres spl-mysql spl-sqlite spl-sdl spl-xml spl-curl spl-webspl spl-dev
Architecture: source amd64
Version: 1.0~pre6-3.1
Distribution: unstable
Urgency: low
Maintainer: Gerfried Fuchs <rhonda@debian.org>
Changed-By: Jonathan Wiltshire <jmw@debian.org>
Description: 
 spl-core   - SPL Programming Language
 spl-curl   - SPL Programming Language -- curl adapter
 spl-dev    - SPL Programming Language -- development files
 spl-mysql  - SPL Programming Language -- MySQL adapter
 spl-postgres - SPL Programming Language -- postgres adapter
 spl-sdl    - SPL Programming Language -- SDL adapter
 spl-sqlite - SPL Programming Language -- sqlite adapter
 spl-webspl - SPL based web application framework
 spl-xml    - SPL Programming Language -- XML adapter
Closes: 669483
Changes: 
 spl (1.0~pre6-3.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add dependency on libncurses-dev to fix FTBFS (Closes: #669483)
Checksums-Sha1: 
 6176ea39ddef143a55704351fe7b14f57d60eb6e 2296 spl_1.0~pre6-3.1.dsc
 547351105b4adb0f58eef32ba798a585d41dd807 8275 spl_1.0~pre6-3.1.diff.gz
 c40bff28a5c26cd0de1cc34666f651a0ff06494f 189680 spl-core_1.0~pre6-3.1_amd64.deb
 bf897923affe4e9af5d6260cf65cdbb41e86203a 4056 spl-postgres_1.0~pre6-3.1_amd64.deb
 04c1e5928fc06e5cc6eb3fc5f23e01da823b2ad2 4792 spl-mysql_1.0~pre6-3.1_amd64.deb
 8acb69dd6b6caf089474b7a82e71a3b6e34aef76 4020 spl-sqlite_1.0~pre6-3.1_amd64.deb
 2c47fa8b420e1878f5a20bc1489eddee9c77a1f4 9336 spl-sdl_1.0~pre6-3.1_amd64.deb
 8d4cea4165c49f7661b5eaac2bebc8626aa03d80 9458 spl-xml_1.0~pre6-3.1_amd64.deb
 6da64206f98d55faaeca70d7059e2de1d556d810 5484 spl-curl_1.0~pre6-3.1_amd64.deb
 a146555b54b00f0be9fa1d79167547ff39b10a8d 230868 spl-webspl_1.0~pre6-3.1_amd64.deb
 86e45e44e6cbb82eb95177538ad5cac72d3b1ee0 120542 spl-dev_1.0~pre6-3.1_amd64.deb
Checksums-Sha256: 
 1918e25d3e8cf43ea3f689ac60a727e7e042f8f6b9067b667d1f98a0b890b45e 2296 spl_1.0~pre6-3.1.dsc
 b307dca28d12eb9a46a5b4d5be0a72f921f76e3def717c111669f7fd858eb4f2 8275 spl_1.0~pre6-3.1.diff.gz
 252b9da9bb2e631820d72d236a59dce915c584b1092a13491e15bfc118b9e7a8 189680 spl-core_1.0~pre6-3.1_amd64.deb
 5d431e44e9357abb15aa992a9ae38637945c7b7c41f28021afa14a132d491eb0 4056 spl-postgres_1.0~pre6-3.1_amd64.deb
 1a469b3d39278716eb9a23a4b34aa388ded37f225e882506d96fb9232b1741af 4792 spl-mysql_1.0~pre6-3.1_amd64.deb
 7fcbb2e076257f090f7dddf7fb00e03dba4e022dbf8c6c07d9e64c188fb0715b 4020 spl-sqlite_1.0~pre6-3.1_amd64.deb
 3af625c398b1468d891ea2d298a9c61284186982e19abc77bf57e7e64cf3af93 9336 spl-sdl_1.0~pre6-3.1_amd64.deb
 b4d1268c71c0c67dec921068d4e7f1c27afa1032c5c1644a43dfd36a115c9997 9458 spl-xml_1.0~pre6-3.1_amd64.deb
 8dd123a5974b2028af176bb9909f8c728498ddc04d58b4ff395826f3d027372b 5484 spl-curl_1.0~pre6-3.1_amd64.deb
 0c16692c038df613026fff8178fe6dc7b9b095081f370776b7374cd81084b669 230868 spl-webspl_1.0~pre6-3.1_amd64.deb
 94577408e544f2911e85bd2243a8d7844e7c6d30081cdccea7d1b624fa12bdf2 120542 spl-dev_1.0~pre6-3.1_amd64.deb
Files: 
 9b88fabc17f75cceeb5d6b8296d9275d 2296 devel optional spl_1.0~pre6-3.1.dsc
 f01a12f8d86730c3973cce57ff634937 8275 devel optional spl_1.0~pre6-3.1.diff.gz
 6542b05b9fba54c8b5ba8c38842bbe52 189680 devel optional spl-core_1.0~pre6-3.1_amd64.deb
 369b036e320f2a7534064493a23d1ca0 4056 database optional spl-postgres_1.0~pre6-3.1_amd64.deb
 f74d31544fceb25f0ac9116abb0df314 4792 database optional spl-mysql_1.0~pre6-3.1_amd64.deb
 7d3c8e4dde43e3e7389411ce18da246f 4020 database optional spl-sqlite_1.0~pre6-3.1_amd64.deb
 aaf2765a09a0dada9b8c8f85f6be91a5 9336 devel optional spl-sdl_1.0~pre6-3.1_amd64.deb
 e0ea9f72738f0cb987e28fcb3f5e9972 9458 devel optional spl-xml_1.0~pre6-3.1_amd64.deb
 4d2cb0412a4a0bcfaaf84d96abd8bbb3 5484 net optional spl-curl_1.0~pre6-3.1_amd64.deb
 e748f071c1f3c1ffbe673df0b3288ade 230868 web optional spl-webspl_1.0~pre6-3.1_amd64.deb
 42eb2727169cc862d32f63ab783607df 120542 devel optional spl-dev_1.0~pre6-3.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJPrj2SAAoJEFOUR53TUkxR8mgP+wUFGKfnTH7cUBKnji4CD2go
2ng0tmVdT0cMnxzMlMNygzsAaYJg5pTXXuKodlqYbgAb3wS9EirTD8yDPEG1haca
sB3JVws3+4On4oXdn2O2Rjpw3xNn8ZOpGxP1md6D32ATF/+IdwjKV8c9MTJvV05L
sFRAipLrnM96QxzmqaBBdZPQyrhX3k5PedrDuw7ZfYHp7r9/0IqpTkTyluR2ayfY
EaYhJ+l1dWZtI+anjgovu8AVcQaXB5it3wQkjHuyamrZppUVLDLxZggGSRNjfOFx
8VwCwYdxJ9lMoVMJWMs94Dcp2CBCqb+PyFX2di5Ge9/lDO4S4+Gl339PzX7cbmg/
roMUAnbWdCbIEnjz2CM/H0ZZAFAZfdb3osaNiwBpG4MQOgqJ2M5AcmGZZCqcxCDW
luColHrUxv4Z2rDviL7DYDs612WK41U0QgPtlBUHcXfehqLMwh5aUNIR0KOgrdyL
djwth50dDneLG9LJ22gG9pbrylaJvEO1KUDkPP744+q1iVdSoVAvfAkeB4zgcpvz
kT0g9D/BeP8jJ8sIF+MoIgxN8Cs22QR6q+vx7agSS17eQ7EkGpVNLrZFcQ0rxaZ/
iI6x138BVeM6dK0pAdHMLYpRoU60d//68bJGB+3kB77oSwZ6WiFGjzhfNQ79KiOQ
xsqM9w1Gu2D48V1SsjIS
=URfU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2012 07:44:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:52:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.